List agentic-AI event triggers in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/triggers \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/triggers"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"triggers": [
{
"id": "<string>",
"name": "<string>",
"enabled": 0,
"match": "<string>",
"action_type": "ai_agent",
"config": "<string>",
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Triggers
List agentic-AI event triggers in a project
GET
/
admin
/
api
/
projects
/
{project_id}
/
triggers
List agentic-AI event triggers in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/triggers \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/triggers"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"triggers": [
{
"id": "<string>",
"name": "<string>",
"enabled": 0,
"match": "<string>",
"action_type": "ai_agent",
"config": "<string>",
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Triggers, newest first. match and config are returned as the raw JSON strings stored in D1, not parsed objects.
Show child attributes
Show child attributes